Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.event
Interface Event

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  AccessWatchpointEvent, BreakpointEvent, ClassPrepareEvent, ClassUnloadEvent, ExceptionEvent, LocatableEvent, MethodEntryEvent, MethodExitEvent, ModificationWatchpointEvent, StepEvent, ThreadDeathEvent, ThreadStartEvent, VMDeathEvent, VMDisconnectEvent, VMStartEvent, WatchpointEvent

    public interface Event

extends Mirror

An occurrence in a target VM that is of interest to a debugger. Event is the common superinterface for all events (examples include `BreakpointEvent`, `ExceptionEvent`, `ClassPrepareEvent`). When an event occurs, an instance of Event as a component of an `EventSet` is enqueued in the `VirtualMachine`'s `EventQueue`.

Since:
  1.3
See Also:
  `EventSet`, `EventQueue`

Method Summary
`EventRequest` | `request()`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Method Detail

### request

    EventRequest request()

  Returns:
    The `EventRequest` that requested this event. Some events (eg. `VMDeathEvent`) may not have a cooresponding request and thus will return null.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD